! ------------------------------------------------------------------------
!>  \brief Module defining PDE Solver Constants
! ------------------------------------------------------------------------
MODULE pde_solver_constants
USE system_constants    !> Global system constants

IMPLICIT NONE

INTEGER, PARAMETER :: NGAUSS_ELEM = 1     !> number of Gaussian integration points per body element
INTEGER, PARAMETER :: NGAUSS_BOUND = 1    !> number of Gaussian integration points per traction element

!> Gaussian integration data for body elements
DOUBLE PRECISION, PARAMETER, DIMENSION(NGAUSS_ELEM,2) :: GAUSS_PT_ELEM = RESHAPE( (/ ONE_THIRD, ONE_THIRD /), SHAPE(GAUSS_PT_ELEM) )
DOUBLE PRECISION, PARAMETER, DIMENSION(NGAUSS_ELEM) :: GAUSS_WT_ELEM = (/ 1.d0 /)

!> Gaussian integration data for traction elements
DOUBLE PRECISION, PARAMETER, DIMENSION(NGAUSS_BOUND) :: GAUSS_PT_BOUND = (/ 0.5d0 /)
DOUBLE PRECISION, PARAMETER, DIMENSION(NGAUSS_BOUND) :: GAUSS_WT_BOUND = (/ 1.d0 /)

!> parameters for Newmark time-stepping
DOUBLE PRECISION, PARAMETER :: GAMA = 0.5d0
DOUBLE PRECISION, PARAMETER :: BETA = 0.25d0

END MODULE pde_solver_constants
